Bug 1050200 (CVE-2017-11577)

Summary: VUL-0: CVE-2017-11577: fontforge: Buffer over-read in getsid (parsettf.c)
Product: [Novell Products] SUSE Security Incidents Reporter: Johannes Segitz <jsegitz>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: atoptsoglou, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/189038/
Whiteboard: CVSSv2:SUSE:CVE-2017-11577:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv3:SUSE:CVE-2017-11577:6.3:(AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L) CVSSv2:NVD:CVE-2017-11577:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv3:NVD:CVE-2017-11577:7.8:(AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3:RedHat:CVE-2017-11577:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: Reproducer

Description Johannes Segitz 2017-07-24 13:32:40 UTC
Created attachment 733565 [details]
Reproducer

CVE-2017-11577

FontForge 20161012 is vulnerable to a buffer over-read in getsid (parsettf.c)
resulting in DoS or code execution via a crafted otf file.

valgrind fontforge -lang=ff -c 'Open($1)' getsid-in-parsettf.c-global-buffer-overflow.otf

SDK only

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-11577
http://www.cvedetails.com/cve/CVE-2017-11577/
https://github.com/fontforge/fontforge/issues/3088
Comment 6 Swamp Workflow Management 2019-08-28 13:19:42 UTC
SUSE-SU-2019:2236-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1050161,1050181,1050185,1050187,1050193,1050194,1050195,1050196,1050200
CVE References: CVE-2017-11568,CVE-2017-11569,CVE-2017-11571,CVE-2017-11572,CVE-2017-11573,CVE-2017-11574,CVE-2017-11575,CVE-2017-11576,CVE-2017-11577
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    fontforge-20170731-11.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Alexandros Toptsoglou 2020-05-12 13:35:00 UTC
SLE11 is EOL. Closing